Channel

Create

POST/api/v1/channels

This endpoint allows you to create a custom channel for your own messaging platform.

Request

Authorization

Bearer Token

Provide your API token in the Authorization header. See Authentication to issue one.

Example:Authorization: Bearer ********************

Body Paramsapplication/json
  • namestringrequired
  • brandNamestringrequired
  • metadataobjectrequired
    Child attributes
    • platform_channel_idstringrequired
    • inboundobjectrequired
      Child attributes
      • verify_tokenstringrequired
    • outboundobjectrequired
      Child attributes
      • urlstringrequired
      • headersarray[object]required
        Child attributes
        • keystringoptional
        • valuestringoptional

Responses

201

Created